package mon.battle

import mon.stat._
import mon.stat.Statistic.Speed

case class Action(user : Monster, move : Move, target : Monster) extends Comparable[Action] {
  override def compareTo(other : Action) = {
    if (move.prior == other.move.prior) {
      other.user(Speed) compareTo user(Speed)
    } else {
      other.move.prior compareTo move.prior
    }
  }
}