package mon.stat

import scala.util.Random

import mon.battle.rngDice
import mon.stat.Target._

class Party(val trainer : TrainerID, var lead : Monster, val sideboard : IndexedSeq[Monster]) {
  def pollAction(implicit rng : Random) : Move = rng.pick(lead.base.moves)
  def pollTarget(move : Move, user : Monster, us : Party, them: Party)(implicit rng : Random) : Monster = {
    if (move.target == Self) {
      user
    } else {
      them.lead
    }
  }
}