package mon.util

case class Fraction(val num : Int, val denom : Int) {
  def *(f : Fraction) = Fraction(num * f.num, denom * f.denom)
  def *(x : Int) : Int = x * num / denom
}

class IntFraction(val x : Int) extends AnyVal {
  def %% = Fraction(x, 100)
  def \ (denom : Int) = Fraction(x, denom)
}